Tab Content
No Recent Activity

1 Visitor Messages

  1. Hi everyone
    i am new to this site, and would like to ask a question.
    I have a iphone 3gs with version 4.1, that i had jb using limera1n, i also installed appsycne 4.1. I would like to backup on itunes but the version of itunes iív got is itunes 10Ö..is this ok, or do i need version 9.2

    thanks
Showing Visitor Messages 1 to 1 of 1
About zakai123

Basic Information

About zakai123
Device + Firmware Version:
iphone 3gs version 4.1
Computer Operating System:
windows xp

Statistics


Total Posts
Total Posts
0
Posts Per Day
0
Visitor Messages
Total Messages
1
Most Recent Message
2010-11-01 03:40 PM
Total Thanks
Total Thanks
0
Downloads
Downloads
0
Uploads
0
General Information
Last Activity
2010-11-03 01:45 PM
Join Date
2010-11-01
Referrals
0